#ifndef BACKGROUND_H
#define BACKGROUND_H

#include <cairomm/context.h>
#include <gtkmm/eventbox.h>

class MyDrawingArea;

/**
 * Zakladny interface pre rozne pozadia v MyDrawingArea.
 */
class Background  {
	public:
		/**
		 * Tato funkcia sa zavola vzdy ked treba prekreslit nieco v MyDrawingArea.
		 * @param event  expose event ktory MyDrawingArea dostala.
		 * @param context kontext do ktoreho mozeme kresli.
		 * @param dArea samotna darea v ktorej sme (ak potrebujeme nejake udaje z nej )
		 * @returns true ak sa podarilo nakresli?
		 */
		virtual bool onExposeEvent( GdkEventExpose *event, Cairo::RefPtr<Cairo::Context> context, MyDrawingArea *dArea ) = 0;
		virtual ~Background() {};
	protected:
};

#endif
