#ifndef CHECKER_H
#define CHECKER_H

#include "glyphdb.h"
#include "glyph.h"
#include "types.h"
#include "background.h"
#include "oldglyphbg.h"
#include "transwindow.h"

class Checker {
	public:
		Checker( GlyphID id, OldGlyphBg* m_transBg, TransWindow* m_tw );
		~Checker();
		double checkShakiness( Glyph* scrib );
		double checkAuth( Glyph* scrib );
	protected:
		Glyph* model;
		double vzd( Point a, Point b );
		LineList fitScribble( Glyph* scrib );
		LineList fitX( LineList ll );
		LineList fitXY( LineList ll );
		LineList fitWidthHeight( LineList ll );
		Line skew( Line line, double alpha );
		double dtw( Line mod, Line scr );
		LineList fitInclination( LineList ll );
		OldGlyphBg* transBg;
		TransWindow* tw;
};

#endif
