#include "glyph.h"

Glyph::Glyph()
{
	name="No name";
}

int Glyph::loadFromFile(Glib::ustring filename)
{
	FILE * f;
	if (!(f = fopen(filename.c_str(), "r"))) {
		printf("Cannot open file %s\n", filename.c_str());
		return 0;
	}
	char tmp[100];
	fscanf(f, "%[^\n]s ", tmp);
	name = tmp;
	printf("Reading glyph data with name \"%s\"\n", name.c_str());
	int n;
	fscanf(f, "%d ", &n);
	categories.clear();
	for (int i=0; i<n; i++) {
		char tmpc[100];
		fscanf(f, "%s ", tmpc);
		categories.push_back(tmpc);
	}
	int nline;
	fscanf(f, "%d ", &nline);
	lines.clear();
	for (int i=0; i<nline; i++) {
		int n;
		fscanf(f, "%d ", &n);
		Line line;
		for (int j=0; j<n; j++) {
			Point point;
			fscanf(f, "%lf %lf ", &point.x, &point.y);
			line.push_back(point);
		}
		lines.push_back(line);
	}
	fclose(f);
	return 1;
}

int Glyph::saveToFile(Glib::ustring filename)
{
	FILE * f;
	if (!(f = fopen(filename.c_str(), "w"))) {
		printf("Cannot open file %s\n", filename.c_str());
		return 0;
	}
	fprintf(f, "%s\n", name.c_str());
	printf("Writing in file with name %s\n", filename.c_str());
	fprintf(f, "%d\n", (int)categories.size());
	for (int i=0; i<(int)categories.size(); i++) {
		fprintf(f, "%s\n", categories[i].c_str());
	}
	fprintf(f, "%d\n", (int)lines.size());
	for (int i=0; i<(int)lines.size(); i++) {
		fprintf(f, "%d\n", (int)lines[i].size());
		for (int j=0; j<(int)lines[i].size(); j++) {
			fprintf(f, "%lf %lf\n", lines[i][j].x, lines[i][j].y);
		}
	}
	fclose(f);
	return 1;
}

