#include "glyphdb.h"

GlyphDB m_globalDB;

GlyphDB::GlyphDB()
{
	FILE * f;
	if (!(f = fopen("data/index.txt", "r"))) {
		printf("Cannot open file data/index.txt. Generating empty index.\n");
		ID=-1;
	} else {
		int n;
		fscanf(f, "%d ", &n);
		for (int i=0; i<n; i++) {
			fscanf(f, "%d ", &ID);
			glyphs[ID] = new Glyph();
			glyphs[ID]->loadFromFile(idToFile(ID));
		}
		fclose(f);
	}
}

GlyphDB::~GlyphDB()
{
	FILE * f; 
	if (!(f = fopen("data/index.txt", "w"))) {
		printf("Error: Cannot open file data/index.txt.\n");
	} else {
		printf("Rewriting data/index.txt.\n");
		fprintf(f, "%d\n", (int)glyphs.size());
		FOREACH(it, glyphs) {
			fprintf(f, "%d ", (int)(it->first));
		}
		fclose(f);
	}
}

GlyphDB* GlyphDB::globalDB() {
    return &m_globalDB;
}

int GlyphDB::addGlyph( Glyph* g )
{
	GlyphID ID=newID();
	if (glyphs.find(ID)!=glyphs.end()) {
		printf("Error: Glyph with ID %d exists.\n", ID);
		return 0;
	}
	glyphs[ID]=g;
	if (glyphs[ID]->saveToFile(idToFile(ID))==0) return 0;
	return 1;
}


GlyphID GlyphDB::newID()
{
	ID++;
	return ID;
}

Glib::ustring GlyphDB::idToFile(GlyphID myID)
{
	Glib::ustring file="data/";
	char sid[50];
	sprintf(sid, "%d", myID);
	file+=sid;
	file+=".dat";
	return file;
}

LineList GlyphDB::getLinesByID( GlyphID id )
{
	return glyphs[id]->lines;
}

Glyph* GlyphDB::getGlyphByID( GlyphID id )
{
	return glyphs[id];
}


GlyphID GlyphDB::getRandomID()
{
//	map<GlyphID,Glyph>::iterator it = glyphs.begin() + ( rand()%glyphs.size() );
//	return it->first;
	int k=rand()%glyphs.size();
	int i=0;
	FOREACH(it, glyphs) {
		if (i==k) return it->first;
		i++;
	}
	return 0;
}

