#include "glypheditortask.h"

GlyphEditorTask::GlyphEditorTask() 
	:
//		bg( 100, 80 ),
		buttonClear( "_Zmazať" ),
		buttonSave( "_Uložiť do databázy písmen" )
{
	id = "Editor písmen";
	editingArea.addBg( &bg );

	buttonClear.set_use_underline( true );
	buttonSave.set_use_underline( true );
	buttonClear.signal_clicked().connect(sigc::mem_fun(*this,&GlyphEditorTask::on_buttonClear_clicked));
	buttonSave.signal_clicked().connect(sigc::mem_fun(*this,&GlyphEditorTask::on_buttonSave_clicked));
	editorButtons.pack_start( buttonSave, false, false, 10 );
	editorButtons.pack_end( buttonClear, false, false, 10 );
	editorWindow.pack_start( editingArea, true, true );
	editorWindow.pack_start( editorButtons, false, false, 10 );
}

bool GlyphEditorTask::restart() {
	editingArea.clearCapture();
	return true;
}

Gtk::Widget& GlyphEditorTask::getMainWidget() {
	return editorWindow;
}

void GlyphEditorTask::on_buttonClear_clicked(){
        printf("Clearing capture.\n");
        editingArea.clearCapture();
}

void GlyphEditorTask::on_buttonSave_clicked()
{
	printf("Saving capture.\n");
	g = new Glyph();
	g->lines=editingArea.getCapture();
	GlyphDB::globalDB()->addGlyph(g);
}


