
#include "glyphwholebackground.h"
#include "mydrawingarea.h"
#include "glyphdb.h"

GlyphWholeBackground::GlyphWholeBackground( GlyphID id ){
	lines = GlyphDB::globalDB()->getLinesByID(id);
}

bool GlyphWholeBackground::onExposeEvent( GdkEventExpose *event, Cairo::RefPtr<Cairo::Context> context, MyDrawingArea *dArea  ) {
	context->set_line_width(2);
	context->set_source_rgba( .5, .5, .5, .8 );

	//vykreslenie glyphu
	if (lines.size()>0) {
		context->translate( 0, dArea->getBaseLineY() );
		context->set_line_width(1);
		for(int l=0; l<(int)lines.size(); ++l) {
			if (lines[l].size()>1) {
				context->move_to(lines[l][0].x, lines[l][0].y );
				for(int p=1; p<(int)lines[l].size(); ++p) {
					context->line_to(lines[l][p].x, lines[l][p].y );
				}
				context->stroke();
			}
			if (lines[l].size()==1) {
				//nakresli bodku ;)
				Line &ll = lines[l];
				context->arc(ll[0].x, ll[0].y, 0.8, 0.0, 2.0 * M_PI);
				context->set_line_width(0);
				context->set_source_rgba(.0, .0, .0, 1);    // partially translucent
				context->fill();
			}
		}
	} // lines.size()>0

	context->stroke();
	return true;
}
