#ifndef MYDRAWINGAREA_H
#define MYDRAWINGAREA_H

#include <gtkmm/drawingarea.h>
#include <gtkmm/eventbox.h>
#include <vector>

#include "config.h"
#include "types.h"
#include "background.h"

using namespace std;

class MyDrawingArea : public Gtk::EventBox {
	public:
		MyDrawingArea( bool capture = true );
		bool startCapture();
		LineList stopCapture();
		LineList getCapture();
		bool addBg( Background *bg );
		bool removeBg( Background *bg );
		bool clearBg();
		bool clearCapture();
		bool clearButDrawCapture();
		int getLineHeight();
		int getBaseLineY();
		void setLineHeight( int height );
		void setSize( int w, int h );
		Gtk::DrawingArea* get_dArea();
		bool dArea_paint( GdkEventExpose *event, bool clear );
	protected:
		LineList lineList;
		Gtk::DrawingArea m_dArea;
		int lineHeight;
		int baseLineY;
		vector < Background * > bgList;
		bool on_motion_notify_event( GdkEventMotion *event );
		bool on_button_press_event( GdkEventButton *event );
		bool on_button_release_event( GdkEventButton *event );
		bool on_dArea_expose_notify_event( GdkEventExpose *event );
		void on_size_allocate( Gtk::Allocation &allocation );
		bool addPoint( gdouble x, gdouble y );
		bool capture; //mam reagovat?
		bool capturing; //pise prave?
};

#endif
