
#include <cstdio>
#include <gtkmm/main.h>
#include <gtkmm/label.h>

#include "mywindow.h"
#include "folderlabel.h"
#include "taskmanager.h"
#include "editortaskmanager.h"
#include "scribblertaskmanager.h"
#include "mydrawingarea.h"

MyWindow::MyWindow()
	: m_buttonQuit( "_Quit" )
{
	m_buttonQuit.set_use_underline( true );
	m_buttonQuit.signal_clicked().connect(sigc::mem_fun(*this,&MyWindow::on_button_clicked));
	add(m_vbox);
	m_notebook.set_tab_pos( Gtk::POS_LEFT );
	m_vbox.pack_start(m_notebook, true, true, 10);
	m_hboxFoot.pack_end(m_buttonQuit, false, false, 0);
	m_vbox.pack_end(m_hboxFoot, false, false, 10);

	FolderLabel *fl1 = new FolderLabel( "", "Písanka" );
	ScribblerTaskManager *tm1 = new ScribblerTaskManager();
	FolderLabel *fl2 = new FolderLabel( "", "Editor písmen" );
	EditorTaskManager *tm2 = new EditorTaskManager();
	m_notebook.append_page( tm1->getMainWidget(), *fl1 );
	m_notebook.append_page( tm2->getMainWidget(), *fl2 );

	m_vbox.show_all();
}


void MyWindow::on_button_clicked(){
	printf("Quiting...\n");
	Gtk::Main::quit();
}

