
#include "oldglyphbg.h"
#include "mydrawingarea.h"
#include "glyphdb.h"

OldGlyphBg::OldGlyphBg()
{
}

int OldGlyphBg::addLineList( LineList ll, double r, double g, double b, double al )
{
	linelists.push_back(ll);
	vector <double> color;
	color.push_back(r); color.push_back(g); color.push_back(b); color.push_back(al);
	colors.push_back(color);
	circles.push_back(pair<int, int>(-1,-1));
	return 1;
}

int OldGlyphBg::addLineListWithCircle( LineList ll, double r, double g, double b, double al, int cl, int cp )
{
	linelists.push_back(ll);
	vector <double> color;
	color.push_back(r); color.push_back(g); color.push_back(b); color.push_back(al);
	colors.push_back(color);
	circles.push_back(pair<int,int>(cl,cp));
	return 1;
}

int OldGlyphBg::addCircle( int cl, int cp )
{
	circles.back()=pair<int,int>(cl,cp);
	return 1;
}

int OldGlyphBg::clear()
{
	linelists.clear();
	circles.clear();
	colors.clear();
	return 1;
}

bool OldGlyphBg::onExposeEvent( GdkEventExpose *event, Cairo::RefPtr<Cairo::Context> context, MyDrawingArea *dArea  ) {
	//vykreslenie glyphu
	context->translate( 0, dArea->getBaseLineY() );
	for (int i=0; i<(int)linelists.size(); i++) {
		context->set_line_width(2);
//		context->set_source_rgba( .1, .9, .1, .8 );
		context->set_source_rgba( colors[i][0], colors[i][1], colors[i][2], colors[i][3] );
	//	printf("vykreslujem linelist cislo %d\n", i);
		if (linelists[i].size()>0) {
			context->set_line_width(1);
			for(int l=0; l<(int)linelists[i].size(); ++l) {
				if (linelists[i][l].size()>1) {
					context->move_to(linelists[i][l][0].x, linelists[i][l][0].y );
					for(int p=1; p<(int)linelists[i][l].size(); ++p) {
						context->line_to(linelists[i][l][p].x, linelists[i][l][p].y );
					}
					context->stroke();
				}
				if (linelists[i][l].size()==1) {
					//nakresli bodku ;)
					Line &ll = linelists[i][l];
					context->arc(ll[0].x, ll[0].y, 0.8, 0.0, 2.0 * M_PI);
					context->set_line_width(0);
					context->set_source_rgba(.0, .0, .0, 1);    // partially translucent
					context->fill();
				}
			}

		} // linelists.size()>0
		if (circles[i].first!=-1) {
			context->stroke();
			context->set_source_rgba( GREEN );
			context->arc(linelists[i][circles[i].first][circles[i].second].x, linelists[i][circles[i].first][circles[i].second].y, 10.0, 0.0, 2.0 * M_PI);
			context->stroke();
//			context->set_source_rgba( colors[i][0], colors[i][1], colors[i][2], colors[i][3] );
		}
		context->stroke();
	}
	return true;
}
