#ifndef SCRIBBLERTASK_H
#define SCRIBBLERTASK_H

#include <gtkmm/box.h>
#include <gtkmm/button.h>
#include "task.h"
#include "mydrawingarea.h"
#include "linebackground.h"
#include "glyphdb.h"
#include "glyphwholebackground.h"
#include "glyphanimbackground.h"
#include "checker.h"
#include "oldglyphbg.h"
#include "transwindow.h"

class ScribblerTask : public Task {
	public:
		ScribblerTask();
		~ScribblerTask();
		virtual bool restart();
		virtual Gtk::Widget& getMainWidget();
	protected:
		Gtk::VBox editorWindow;
		MyDrawingArea editingArea;
		TransWindow tw;
		LineBackground lineBg;
		GlyphWholeBackground* glyphBg;
		GlyphAnimBackground* glyphAnimBg;
		OldGlyphBg* transGlyphBg;
		Glyph* g;
		OldGlyphBg* oldGlyphs;
		Checker* checker;
		GlyphID actualID;
		Gtk::Button buttonNew;
		Gtk::Button buttonProp;
		Gtk::Button buttonAnim;
		Gtk::Button buttonShowProp;
		Gtk::HBox editorButtons;
		//LineList lineList3( LineList ll );
		void on_buttonNew_clicked();
		void on_buttonProp_clicked();
		void on_buttonAnim_clicked();
};

#endif
