
#include <cstdio>
#include <gtkmm/main.h>
#include <gtkmm/label.h>

#include "transwindow.h"

TransWindow::TransWindow()
	: 
		m_area(0)
{
	m_text.set_cursor_visible( false );
	m_text.set_editable( false );
	m_area.setLineHeight(3 * DEFAULT_GLYPH_HEIGHT);
	m_area.setSize( (int)(2.0 * DEFAULT_DAREA_WIDTH), (int)(1.7 * DEFAULT_DAREA_HEIGHT) );
	add(m_vbox);
	m_vbox.pack_start(m_area, false, true, 0);
	m_vbox.pack_start(m_text, false, true, 0);
	m_vbox.set_spacing(10);

	m_vbox.show_all();
}

int TransWindow::addBg( Background* bg )
{
	m_area.addBg(bg);
	return 1;
}

int TransWindow::removeBg( Background* bg )
{
	m_area.removeBg(bg);
	return 1;
}

int TransWindow::clear()
{
	m_area.clearBg();
	return 1;
}

bool TransWindow::addText( Glib::ustring txt )
{
	m_text.set_editable( true );
	m_text.get_buffer()->insert( m_text.get_buffer()->end(), txt );
	m_text.set_editable( false );
//	m_text.get_buffer()->set_text( m_text.get_buffer()->get_text() + txt );
	return 1;
}

bool TransWindow::clearText()
{
	m_text.set_editable( true );
	m_text.get_buffer()->set_text("");
	m_text.set_editable( false );
	return 1;
}


bool TransWindow::on_key_press_event( GdkEventKey *event )
{
	if (event->keyval == GDK_Escape )
		hide();
	return false;
}
