#include "types.h"

LineList lineList3( LineList ll ) {
	LineList res;
	REP(l, ll.size()) {
		Line tmpline;
		REP(p, ll[l].size()) {
			Point tmpPoint = ll[l][p];
			tmpPoint.x = tmpPoint.x*3;
			tmpPoint.y = tmpPoint.y*3;
			tmpline.push_back(tmpPoint);
		}
		res.push_back(tmpline);
	}
	return res;
}

std::string format_string_arg_list(const char *fmt, va_list args)
{
    if (!fmt) return "";
    int   result = -1, length = 256;
    char *buffer = 0;
    while (result == -1)
    {
        if (buffer) delete [] buffer;
        buffer = new char [length + 1];
        memset(buffer, 0, length + 1);
        result = vsnprintf(buffer, length, fmt, args);
        length *= 2;
    }
    std::string s(buffer);
    delete [] buffer;
    return s;
}

std::string format_string(const char *fmt, ...)
{
    va_list args;
    va_start(args, fmt);
    std::string s = format_string_arg_list(fmt, args);
    va_end(args);
    return s;
}
